/* gmoo - a gtk+ based graphical MOO/MUD/MUSH/... client
 * Copyright (C) 1999-2000 Gert Scholten
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include "settings.h"

/* Fonts */
#define  FONT "normal font"
#define _FONT "fixed"

		     /* Window */
#define  SAVE_WINDOW_SIZE "save window size"
#define _SAVE_WINDOW_SIZE 1
#define  WINDOW_HEIGHT "window height"
#define _WINDOW_HEIGHT 480
#define  WINDOW_WIDTH  "window hidth"
#define _WINDOW_WIDTH  640

		     /* notebook */
#define  TAB_POSITION "tab position"
#define _TAB_POSITION 3
#define  TAB_LIMIT_LENGTH "tab limit length"
#define _TAB_LIMIT_LENGTH FALSE
#define  TAB_MAX_LENGTH   "tab max length"
#define _TAB_MAX_LENGTH   20
#define  HOMO_TABS    "homogenous tabs"
#define _HOMO_TABS    1
#define  TABS_SHOW_LINES_WAITING "show lines waiting"
#define _TABS_SHOW_LINES_WAITING 1
#define  HOTKEY		"hotkey"
#define _HOTKEY		0
#define  HOTKEY_ARROW	"hotkey allows arrows"
#define _HOTKEY_ARROW	0

#define  TOOLBAR "show toolbar"
#define _TOOLBAR TRUE
		     /* World showing */
#define  BEEP "beep to speaker"
#define _BEEP TRUE
#define  BUFFER_SIZE "buffer size"
#define _BUFFER_SIZE 500
#define  SAVE_INPUT_HEIGHT "save input height"
#define _SAVE_INPUT_HEIGHT FALSE
#define  RECONNECT "reconnect"
#define _RECONNECT TRUE
#define  SCROLL_ON_ENTER "scroll on enter"
#define _SCROLL_ON_ENTER TRUE
#define  SCROLL_ON_TEXT "scroll on text"
#define _SCROLL_ON_TEXT FALSE

#define  TIMESTAMP "timestamp"
#define _TIMESTAMP "[%H:%M:%S]"

#define  COLOR_PALETTE "color palette"
#define _COLOR_PALETTE COLOR_CUSTOM
#define  FGBG_PALETTE  "fgbg palette"
#define _FGBG_PALETTE  FGBG_CUSTOM

#define  BG_COL "background color"
#define _BG_COL TRUE
#define  BG_TRANS "background transparent"
#define _BG_TRANS FALSE
#define  BG_FILE  "background file"
#define _BG_FILE  FALSE
#define  BG_FILENAME  "background filename"
#define _BG_FILENAME  ""
#define  BG_TINTED "background tinted"
#define _BG_TINTED FALSE
#define  BG_TINT_R "background tint red"
#define _BG_TINT_R 200
#define  BG_TINT_G "background tint green"
#define _BG_TINT_G 200
#define  BG_TINT_B "background tint blue"
#define _BG_TINT_B 200
#define  BG_TILE "background tiled"
#define _BG_TILE TRUE
		     /* Colors */
#define  COLOR_BLACK   "color black"
#define _COLOR_BLACK   "0000/0000/0000"
#define  COLOR_RED     "color red"
#define _COLOR_RED     "c51d/0000/0000"
#define  COLOR_GREEN   "color green"
#define _COLOR_GREEN   "0000/8ccc/1c28"
#define  COLOR_YELLOW  "color yellow"
#define _COLOR_YELLOW  "a665/8ccc/1c28"
#define  COLOR_BLUE    "color blue"
#define _COLOR_BLUE    "2e14/2147/ab84"
#define  COLOR_MAGENTA "color magenta"
#define _COLOR_MAGENTA "ab84/0000/ab84"
#define  COLOR_CYAN    "color cyan"
#define _COLOR_CYAN    "1eb8/9709/91ea"
#define  COLOR_WHITE   "color white"
#define _COLOR_WHITE   "ca3c/ca3c/ca3c"

#define  COLOR_BBLACK   "color bright black"
#define _COLOR_BBLACK   "428f/428f/428f"
#define  COLOR_BRED     "color bright red"
#define _COLOR_BRED     "ffff/5c28/5c28"
#define  COLOR_BGREEN   "color bright green"
#define _COLOR_BGREEN   "4a3d/bae0/3333"
#define  COLOR_BYELLOW  "color bright yellow"
#define _COLOR_BYELLOW  "ffff/ffff/23d6"
#define  COLOR_BBLUE    "color bright blue"
#define _COLOR_BBLUE    "51eb/7fff/ffff"
#define  COLOR_BMAGENTA "color bright magenta"
#define _COLOR_BMAGENTA "ffff/547a/ffff"
#define  COLOR_BCYAN    "color bright cyan"
#define _COLOR_BCYAN    "451e/e8f4/ffff"
#define  COLOR_BWHITE   "color bright white"
#define _COLOR_BWHITE   "ffff/ffff/ffff"

#define  COLOR_FORE     "color default fore"
#define _COLOR_FORE     "d709/d709/d709"
#define  COLOR_BACK     "color default back"
#define _COLOR_BACK     "0a3d/07ae/07ae"

#define  HISTORY           "history"
#define _HISTORY           TRUE
#define  HISTORY_SIZE      "history size"
#define _HISTORY_SIZE      100
#define  HISTORY_SELECTIVE "history selective"
#define _HISTORY_SELECTIVE FALSE
#define  HISTORY_SENSITIVE "history case sensitive"
#define _HISTORY_SENSITIVE FALSE
#define  HISTORY_STORE     "history store"
#define _HISTORY_STORE     TRUE

#define  USERLIST_POS        "userlist position"
#define _USERLIST_POS        RIGHT
#define  USERLIST_RESIZEABLE "userlist resizeable"
#define _USERLIST_RESIZEABLE FALSE
#define  USERLIST_TOTALS     "userlist show totals"
#define _USERLIST_TOTALS     TRUE
#define  USERLIST_HEADERS    "userlist show headers"
#define _USERLIST_HEADERS    FALSE
#define  USERLIST_OBJECTS    "userlist show objects"
#define _USERLIST_OBJECTS    FALSE
#define  USERLIST_FRIENDS_COLOR "userlist friends_color"
#define _USERLIST_FRIENDS_COLOR 4
#define  USERLIST_AUTO_OPEN  "userlist auto open"
#define _USERLIST_AUTO_OPEN  TRUE

#define  EDITOR_EXTERNAL    "editor external"
#define _EDITOR_EXTERNAL    FALSE
#define  EDITOR_USE_ENV     "editor use env"
#define _EDITOR_USE_ENV     TRUE
#define  EDITOR_NEEDS_TERM  "editor needs term"
#define _EDITOR_NEEDS_TERM  TRUE
#define  EDITOR_COMMAND     "editor command"
#define _EDITOR_COMMAND     ""
#define  EDITOR_DELETE_FILE "editor delete file"
#define _EDITOR_DELETE_FILE TRUE

#define  SHOW_OWN_INPUT		"show own input"
#define _SHOW_OWN_INPUT		FALSE
#define  SHOW_OWN_INPUT_FGCOLOR	"show own fgcolor"
#define _SHOW_OWN_INPUT_FGCOLOR	YELLOW
#define  SHOW_OWN_INPUT_BGCOLOR	"show own bgcolor"
#define _SHOW_OWN_INPUT_BGCOLOR	8
#define  SHOW_OWN_INPUT_BOLD	"show own bold"
#define _SHOW_OWN_INPUT_BOLD	TRUE
#define  SHOW_OWN_INPUT_UNDERLINE	"show own underline"
#define _SHOW_OWN_INPUT_UNDERLINE	FALSE

#define  LOG_USE	"use logs"
#define _LOG_USE	FALSE
#define  LOG_INPUT	"log input"
#define _LOG_INPUT	TRUE
#define  LOG_COLOR	"log ansi codes"
#define _LOG_COLOR	FALSE
#define  LOG_TYPE	"log type"
#define _LOG_TYPE	LOG_CONNECTION
#define  COMPRESSED_LOGS "compressed logs"
#define _COMPRESSED_LOGS FALSE

#define  TAB_POS_ON_TAB "tab pos on tab"
#define _TAB_POS_ON_TAB FALSE

#define  RESTORE_OPEN_WORLDS "restore open worlds"
#define _RESTORE_OPEN_WORLDS TRUE
#define  ENABLE_RUN_MENU     "enable run menu"
#define _ENABLE_RUN_MENU     TRUE

		     /* World properties */
#define  BLOCKED_STATE "blocked state"
#define _BLOCKED_STATE FALSE

#define  HOSTNAME     "hostname"
#define _HOSTNAME     "localhost"
#define  PORT         "port"
#define _PORT         8888
#define  AUTOLOGIN    "autologin"
#define _AUTOLOGIN    FALSE
#define  SAVELOGIN    "save login"
#define _SAVELOGIN    FALSE
#define  USERNAME     "username"
#define _USERNAME     _NULL
#define  PASSWORD     "password"
#define _PASSWORD     _NULL
#define  INPUT_HEIGHT "input height"
#define _INPUT_HEIGHT -1
#define  USERLIST_WIDTH "userlist width"
#define _USERLIST_WIDTH 0

